<?php

/*
	This plugin simply give the possibility to retrieve a gravatar image from
	a text string. It can be used to include gravatars into comments.

	Note: set tab spaces to 4 for correct indentation :)
*/

$plugin_description = gettext("Retrieve the gravatar associated to the poster's email and display it.");
$plugin_author		= "Damien Courtois (Citron)";
$plugin_version		= "0.1";
$plugin_URL			= "http://blog.pcitron.fr/zenphoto-gravatar/";

/**
	This function returns a string containing the <img /> tag with the avatar
	associated to the given email.
	@param $email the email of the comment author.
	@param $size the desired size of the gravatar image.
*/
function get_gravatar($email, $size)
{
	// build the <img /> tag containing the avatar.
	// It will be of class "gravatar" so that themes can
	// customize it.
	$gravatar = "<img class=\"gravatar\"";
	$gravatar .= "src=\"http://www.gravatar.com/avatar.php?";
	$gravatar .= "gravatar_id=".md5(strtolower($email));
	$gravatar .= "&size=".$size;
	$gravatar .= "\" />";

	return $gravatar;
}

?>